com.ibm.openpages.api.respview

## Interface IDashboardWidget

-     public interface IDashboardWidget

  Represents dashboard widget
  Since:
    8.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IDashboardWidget.DashboardWidgetType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAggregationFieldName()` Returns the aggregation Field
    `java.lang.String` | `getChartDataField()` Returns the field name that is used by the chart
    `java.lang.String` | `getChartType()` Returns the type of chart
    `java.lang.Integer` | `getDueSoonCutoff()` Returns the due to cut off in week
    `Id` | `getFilterId()` Returns the filter Id
    `java.lang.String` | `getLabel()` Returns the label for static link
    `java.util.List<ILabel>` | `getLinkLabels()` Returns the static link labels for all locales
    `java.lang.String` | `getName()` Returns name of the dashboard widget
    `java.lang.String` | `getObjectTypeName()` Returns the object type name
    `java.lang.String` | `getSummaryType()` Returns the summary Type
    `java.lang.String` | `getText()` Returns the text content for guidance
    `java.util.List<ILabel>` | `getTextLabels()` Returns the texts for all locales
    `IDashboardWidget.DashboardWidgetType` | `getType()` Returns type of the dashboard widget
    `java.lang.String` | `getUrl()` Returns the static link URL
    `java.util.UUID` | `getUuid()` Returns the UUID of the dashboard panel
    `void` | `setAggregationFieldName(java.lang.String aggregationField)` Sets the Aggreation field
    `void` | `setChartDataField(java.lang.String chartDataField)` Sets the field name that is used by the chart
    `void` | `setChartType(java.lang.String chartType)` Sets the type of chart
    `void` | `setDueSoonCutoff(java.lang.Integer dueSoonCutoff)` Sets the due to cut off in week
    `void` | `setFilterId(Id filterId)` Sets the filter Id
    `void` | `setLabel(java.lang.String label)` Sets the label for static link
    `void` | `setLinkLabels(java.util.List<ILabel> labels)` Sets the static link labels
    `void` | `setObjectTypeName(java.lang.String name)` Sets the object type by name
    `void` | `setSummaryType(java.lang.String summaryType)` Sets the summary type
    `void` | `setText(java.lang.String text)` Sets the text content for guidance
    `void` | `setTextLabels(java.util.List<ILabel> labels)` Sets the texts for all locales
    `void` | `setUrl(java.lang.String url)` Sets the static link URL
    `void` | `setUuid(java.util.UUID uuid)` Sets the UUID of the dashboard panel

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns name of the dashboard widget
      Returns:

    - #### getUuid

          java.util.UUID getUuid()

      Returns the UUID of the dashboard panel
      Returns:

    - #### setUuid

          void setUuid(java.util.UUID uuid)

      Sets the UUID of the dashboard panel
      Parameters:
        `uuid` -

    - #### getType

          IDashboardWidget.DashboardWidgetType getType()

      Returns type of the dashboard widget
      Returns:

    - #### getObjectTypeName

          java.lang.String getObjectTypeName()

      Returns the object type name
      Returns:

    - #### setObjectTypeName

          void setObjectTypeName(java.lang.String name)

      Sets the object type by name
      Parameters:
        `name` -

    - #### getFilterId

          Id getFilterId()

      Returns the filter Id
      Returns:

    - #### setFilterId

          void setFilterId(Id filterId)

      Sets the filter Id
      Parameters:
        `filterId` -

    - #### getChartType

          java.lang.String getChartType()

      Returns the type of chart
      Returns:

    - #### setChartType

          void setChartType(java.lang.String chartType)

      Sets the type of chart
      Parameters:
        `chartType` -

    - #### getChartDataField

          java.lang.String getChartDataField()

      Returns the field name that is used by the chart
      Returns:

    - #### setChartDataField

          void setChartDataField(java.lang.String chartDataField)

      Sets the field name that is used by the chart
      Parameters:
        `chartDataField` -

    - #### getDueSoonCutoff

          java.lang.Integer getDueSoonCutoff()

      Returns the due to cut off in week
      Returns:

    - #### setDueSoonCutoff

          void setDueSoonCutoff(java.lang.Integer dueSoonCutoff)

      Sets the due to cut off in week
      Parameters:
        `dueSoonCutoff` -

    - #### getLabel

          java.lang.String getLabel()

      Returns the label for static link
      Returns:

    - #### setLabel

          void setLabel(java.lang.String label)

      Sets the label for static link
      Parameters:
        `label` -

    - #### getLinkLabels

          java.util.List<ILabel> getLinkLabels()

      Returns the static link labels for all locales
      Returns:

    - #### setLinkLabels

          void setLinkLabels(java.util.List<ILabel> labels)

      Sets the static link labels
      Parameters:
        `labels` -

    - #### getUrl

          java.lang.String getUrl()

      Returns the static link URL
      Returns:

    - #### setUrl

          void setUrl(java.lang.String url)

      Sets the static link URL
      Parameters:
        `url` -

    - #### getText

          java.lang.String getText()

      Returns the text content for guidance
      Returns:

    - #### setText

          void setText(java.lang.String text)

      Sets the text content for guidance
      Parameters:
        `text` -

    - #### getTextLabels

          java.util.List<ILabel> getTextLabels()

      Returns the texts for all locales
      Returns:

    - #### setTextLabels

          void setTextLabels(java.util.List<ILabel> labels)

      Sets the texts for all locales
      Parameters:
        `labels` -

    - #### getSummaryType

          java.lang.String getSummaryType()

      Returns the summary Type
      Returns:

    - #### setSummaryType

          void setSummaryType(java.lang.String summaryType)

      Sets the summary type
      Parameters:
        `summaryType` -

    - #### getAggregationFieldName

          java.lang.String getAggregationFieldName()

      Returns the aggregation Field
      Returns:

    - #### setAggregationFieldName

          void setAggregationFieldName(java.lang.String aggregationField)

      Sets the Aggreation field
      Parameters:
        `aggregation` - field

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.